
Figure - Bug #118694
【IOVDEV-33496】【内部】【VC1】【0106】【台架】【EE环境】【副屏】副屏在于雷神蓝牙手柄进行配对
时偶现无法配对的情况
2023-06-08 20:29 - CDTS_Test 吴诗雨

Status: CLOSED Start date: 2023-06-08

Priority: Normal Due date:

Assignee: CD TEST-方永红 % Done: 0%

Category: LC Estimated time: 0.00 hour

Target version:

Need_Info: -- Found Version: 【中控版本号】：03.02.0088.c103.02_NO����【副屏版本号】：01.00.0106.c104

Resolution: -- Degrated: --

Severity: Normal Verified Version:

Reproducibility: Every time Fixed Version:

Test Type: ST Root cause:

Description

【环境信息】EE环境

【问题出现时间】：20230608 14：53

【前提条件】：副屏上电；中控、功放已连接；副屏、中控时间一致

【操作步骤】

1.打开副屏蓝牙

2.激活雷神手柄

3.点击蓝牙设备名称进行配对连接

【实际结果】

1.点击设备之后无法进行配对连接

【期望结果】

1.正常进行配对连接

【备注】：

偶现问题 10次大概1、2次

第298次开机

雷神蓝牙手柄型号：TC-G50

只有历史日志，当时发生时没有开录制实时日志，后面复现三次没有出现

日志、视频地址：https://ofs.human-horizons.com/#/download/index/zYdmWqjvtmo%3D

中控VIN号：HRYTTESTVINMGM817

【中控版本号】：03.02.0088.c103.02_NO

【副屏版本号】：01.00.0106.c104

History

#1 - 2023-06-08 20:30 - CDTS_Test 吴诗雨

ftp://cdiot@192.168.87.46/Pre_figure/Test_Log/118694

#2 - 2023-06-09 17:08 - 短距组_SSRDCNJ 蒋俊杰
https://ofs.human-horizons.com/#/download/index/zYdmWqjvtmo%3D
ftp://cdiot@192.168.87.46/Pre_figure/Test_Log/118694


当前进展：

录屏里首次连接没有成功，查看HCI日志发现connect过程中出现了connection timeout，这种一般是对端没有响应导致的，需要结合空中包进一步确认问题

原因

设备信息: 0x00-90-e0-d1-c5-47，THUNDEROBOT G50

13,600    Command    0x0411    Authentication_Requested            0x000a            2    6     00:00:00.000485    2023/6/8 14:53:14.786329    

13,601    Event    0x0411    Authentication_Requested    Command Status    Success                4    7     00:00:00.000887    2023/6/8 14:53:14.787216    

13,609    Event            User Confirmation Request                    10    13     00:00:00.301395    2023/6/8 14:53:15.095634    

13,614    Command    0x042c    User_Confirmation_Request_Reply                        6    10     00:00:02.040462    2023/6/8 14:53:17.138174    

13,615    Event    0x042c    User_Confirmation_Request_Reply    Command Complete    Success                10    13     00:00:00.007536    2023/6/8 14:53:17.145710    

13,622    Event            Simple Pairing Complete    Connection Timeout                7    10     00:00:04.089695    2023/6/8 14:53:21.239989    

13,624    Event            Authentication Complete    Connection Timeout    0x000a            3    6     00:00:00.000464    2023/6/8 14:53:21.241096    

13,625    Event            Disconnection Complete    Success    0x000a            4    7     00:00:00.000534    2023/6/8 14:53:21.241630    

13,626    Command    0x0406    Disconnect            0x000a            3    7     00:00:00.000293    2023/6/8 14:53:21.241923    

13,635    Event    0x0406    Disconnect    Command Status    Unknown Connection Identifier                4    7     00:00:00.001213    2023/6/8 14:53:21.246530

下一步：

建议测试看下能否提供空中包，需要空中包进一步分析；如果无法提供空中包的话，结合该问题的复现概率较小，建议以对端问题评估不解。

#3 - 2023-06-14 16:13 - CD LC 陶洪普

- Status changed from New to NEED_INFO

- Assignee changed from CD LC 陶洪普 to CDTS_Test 吴诗雨

更新到JIRA

#4 - 2023-07-28 14:55 - CDTS_Test 吴诗雨

- Assignee changed from CDTS_Test 吴诗雨 to CD TEST-方永红

#5 - 2023-08-22 10:08 - CDTS_TEST 王成

- Status changed from NEED_INFO to RESOLVED

从上传最新的日志和视频来看，连接失败时，副屏在14:53:14 Sent Create Connection开始请求连接，到14:53:21Rcvd Disconnect Complete, reason:Connection

Timeout。

由于对端的响应时间过长，连接超时，无法建立连接，显示Toast 无法与对端通信。

该问题不是副屏问题，申请不解。

#6 - 2023-08-22 10:11 - CDTS_TEST 王成

- Status changed from RESOLVED to VERIFIED

#7 - 2023-08-22 10:12 - CDTS_TEST 王成

- Status changed from VERIFIED to CLOSED

Files

飞书20230608-150332.mp4 12.7 MB 2023-06-08 CDTS_Test 吴诗雨

2025-07-04 2/2


